<div id="report" *ngIf="!isOn&&!isOn2">
    <div class="row">
        <div class="column" style="width:40%; display:flex;">
            <div class="side-item fontSize" style="margin-right: 50px;margin-top: 30px;">ประเภท</div>
            <mat-form-field style="margin-top: 20px; width: 24%;" class="fontSize">
                <mat-label>เลือก</mat-label>
                <mat-select placeholder="State" (selectionChange)="applyFilter($event.value)">
                    <mat-option *ngFor="let state of states" [value]="state.viewValue">
                        {{ state.value }}
                    </mat-option>
                </mat-select>
            </mat-form-field>
           

        </div>
        <div class="column1" style="width:60%;display:flex;">
            <mat-form-field appearance="outline" class="search">
                <mat-label>Search</mat-label>
                <input matInput (keyup)="applyFilter($event.target.value)" style="font-family: 'Kanit', sans-serif;">
                <mat-icon matSuffix class="fontSize">search</mat-icon>
            </mat-form-field>

        </div>
    </div>
    <div class="side"></div>
    <br>
    <div class="table-head head">จำนวนนิสิต (คน)</div>
    <div class="mat-elevation-z0" style="width: 95%;margin: auto;margin-bottom: 50px; 
    border-left: 1px solid #c9c7c7; border-right:1px solid #c9c7c7; border-bottom: 1px solid #c9c7c7;">
        <table mat-table [dataSource]="dataSource" matSort>
            <ng-container matColumnDef="id">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 7.625%;"> ลำดับ </th>
                <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList"> {{row.id}} </td>
            </ng-container>

            <ng-container matColumnDef="list">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 13%;"> รายการ </th>
                <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList"> {{row.list}} </td>
            </ng-container>


            <ng-container matColumnDef="type">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 13%;"> ประเภท </th>
                <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList"> {{row.type}} </td>
            </ng-container>


            <ng-container matColumnDef="hours">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 7.625%;"> ชั่วโมง </th>
                <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList">{{row.hours}}</td>
            </ng-container>

            <ng-container matColumnDef="date">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 13%;"> วันที่ </th>
                <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList">{{row.date}}</td>
            </ng-container>

            <ng-container matColumnDef="countMember">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 7.625%;"> จำนวนนิสิต (คน) </th>
                <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList">{{row.countMember}}</td>
            </ng-container>

            <ng-container matColumnDef="onTime">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 7.625%;"> ทันเวลา </th>
                <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList">{{row.onTime}}</td>
            </ng-container>

            <ng-container matColumnDef="late">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 7.625%;"> สาย </th>
                <td mat-cell *matCellDef="let row" class="table-list" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList">{{row.late}}</td>
            </ng-container>

            <ng-container matColumnDef="leave">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 7.625%;"> ลากิจ </th>
                <td mat-cell *matCellDef="let row" class="table-list" style="color: red;" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList">
                    {{row.leave}}</td>
            </ng-container>

            <ng-container matColumnDef="sick">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 7.625%;"> ลาป่วย </th>
                <td mat-cell *matCellDef="let row" class="table-list" style="color: red;" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList">
                    {{row.sick}}</td>
            </ng-container>

            <ng-container matColumnDef="notSendLeave">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 7.625%;"> ไม่ส่งใบลา </th>
                <td mat-cell *matCellDef="let row" class="table-list" style="color: red;" (click)="onClickupdateTitleList(row.list,row.idpk)" routerLink="/reportList">
                    {{row.notSendLeave}}</td>
            </ng-container>

           


            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr class="example-element-row" mat-row *matRowDef="let row; columns: displayedColumns;">
            </tr>
        </table>
    </div>
</div>
<router-outlet></router-outlet>